Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.providers.query
Class QuerySectionProcessor.SubqueryData

    java.lang.Object
      org.makumba.providers.query.QuerySectionProcessor.SubqueryData

Enclosing class:
  QuerySectionProcessor

     class QuerySectionProcessor.SubqueryData

extends Object

Field Summary
`(package private) ArrayList<QuerySectionProcessor.Insertion>` | `insertions`
`(package private) QuerySectionProcessor.Insertion` | `myFromWhere`

Constructor Summary
`QuerySectionProcessor.SubqueryData()`

Method Summary
`void` | `addFromWhere()`
`void` | `addFromWhere(String from, String where)`
`void` | `addInsertion(QuerySectionProcessor.Insertion ins)`
`void` | `checkFromEnd(int index)`
`void` | `checkWhereEnd(int index)`
`String` | `getFrom()`
`String` | `getProjection()`
`String` | `getWhere()`
`void` | `pack()` the object is now readily constructed
`void` | `setEnd(int i)`
`void` | `setFromStart(int index)`
`void` | `setProjectionStart(int i)`
`void` | `setStart(int i)`
`void` | `setWhereStart(int index)`
`void` | `shift(int index, int delta)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### insertions

    ArrayList<QuerySectionProcessor.Insertion> insertions

### myFromWhere

    QuerySectionProcessor.Insertion myFromWhere

Constructor Detail

### QuerySectionProcessor.SubqueryData

    QuerySectionProcessor.SubqueryData()

Method Detail

### setWhereStart

    public void setWhereStart(int index)

### checkFromEnd

    public void checkFromEnd(int index)

### checkWhereEnd

    public void checkWhereEnd(int index)

### setFromStart

    public void setFromStart(int index)

### setStart

    public void setStart(int i)

### setProjectionStart

    public void setProjectionStart(int i)

### setEnd

    public void setEnd(int i)

### shift

    public void shift(int index,
                      int delta)

### addFromWhere

    public void addFromWhere()

### addFromWhere

    public void addFromWhere(String from,
                             String where)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getWhere

    public String getWhere()

### getFrom

    public String getFrom()

### getProjection

    public String getProjection()

### addInsertion

    public void addInsertion(QuerySectionProcessor.Insertion ins)

### pack

    public void pack()

  the object is now readily constructed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20